CacheService.CacheType (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service

## Enum CacheService.CacheType

- java.lang.Object
- - java.lang.Enum<CacheService.CacheType>
  - - org.apache.cassandra.service.CacheService.CacheType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CacheService.CacheType>
  Enclosing class:
    CacheService

      public static enum CacheService.CacheType
      extends java.lang.Enum<CacheService.CacheType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNTER_CACHE`
    `KEY_CACHE`
    `ROW_CACHE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static CacheService.CacheType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CacheService.CacheType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEY_CACHE

          public static final CacheService.CacheType KEY_CACHE

    - #### ROW_CACHE

          public static final CacheService.CacheType ROW_CACHE

    - #### COUNTER_CACHE

          public static final CacheService.CacheType COUNTER_CACHE

  - ### Method Detail

    - #### values

          public static CacheService.CacheType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheService.CacheType c : CacheService.CacheType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheService.CacheType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CacheService.CacheType>`

Copyright © 2018 The Apache Software Foundation